Results 1 to 3 of 3

Thread: Building rsync on Lucid

  1. #1
    Join Date
    May 2006
    Location
    Victoria, BC, Canada
    Beans
    12
    Distro
    Dapper Drake Testing/

    Building rsync on Lucid

    Hi all.

    I'm having problems with rsync, caused by using the 3.0.7 client against a server running 3.0.8. (A recent upgrade on the server precipitated problems which I see in bug reports dating back years.)

    I'm on Lucid and not ready to upgrade, and there's no backport or ppa for rsync, so I'd like to build rsync 3.0.8 or 3.0.9 on Lucid. Does anyone have any experience with this? Is it feasible?

    All help appreciated,
    Martin

  2. #2
    Join Date
    Feb 2005
    Location
    Melbourne, Australia
    Beans
    13,505
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Building rsync on Lucid

    Quote Originally Posted by mholmes View Post
    Hi all.

    I'm having problems with rsync, caused by using the 3.0.7 client against a server running 3.0.8. (A recent upgrade on the server precipitated problems which I see in bug reports dating back years.)
    See if you can install the rsync package from later releases:

    http://packages.ubuntu.com/search?ke...ll&section=all
    Regards, David.
    Please use the Forum search and Wiki search for immediate help
    Please mark your thread as Solved when appropriate
    New to technical forums?: How To Ask Questions The Smart Way

  3. #3
    Join Date
    May 2006
    Location
    Victoria, BC, Canada
    Beans
    12
    Distro
    Dapper Drake Testing/

    Re: Building rsync on Lucid

    It looks as though rsync 3.0.8 depends on libpopt0 1.16, and Lucid only has 1.15, so I might be getting into a dependency nightmare there. I'm looking for another solution before I go down this road. Any advice appreciated!

    Cheers,
    Martin

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •